#!/bin/sh

[ -e /sys/class/net/wlan0 ] || exit 0
[ -f /etc/hostapd.conf ] || exit 0

case "$1" in
	start)
		printf "Starting hostapd: "
		start-stop-daemon -S -x /usr/sbin/hostapd -- -B -P /run/hostapd.pid /etc/hostapd.conf >/dev/null 2>&1
		[ $? = 0 ] && echo "OK" || echo "FAIL"
		;;
	stop)
		printf "Stopping hostapd: "
		start-stop-daemon -K -q -x /usr/sbin/hostapd -p /run/hostapd.pid >/dev/null 2>&1
		[ $? = 0 ] && echo "OK" || echo "FAIL"
		;;
	restart|reload)
		$0 stop
		$0 start
		;;
	*)
		echo "Usage: $0 {start|stop|restart}"
		exit 1
esac

exit 0
